=== modified file 'hud/HudAbstractView.h'
--- hud/HudAbstractView.h	2012-09-13 14:45:06 +0000
+++ hud/HudAbstractView.h	2013-03-19 17:52:08 +0000
@@ -43,7 +43,6 @@
 
   virtual void AboutToShow() = 0;
   virtual void AboutToHide() = 0;
-  virtual void Relayout() = 0;
   virtual void ResetToDefault() = 0;
   virtual void SearchFinished() = 0;
   virtual void SetIcon(std::string const& icon_name, unsigned int tile_size, unsigned int size, unsigned int padding) = 0;

=== modified file 'hud/HudController.cpp'
--- hud/HudController.cpp	2013-03-05 15:59:56 +0000
+++ hud/HudController.cpp	2013-03-19 17:52:08 +0000
@@ -252,7 +252,7 @@
   }
   nux::Geometry const& geo = GetIdealWindowGeometry();
 
-  view_->Relayout();
+  view_->QueueDraw();
   window_->SetGeometry(geo);
   panel::Style &panel_style = panel::Style::Instance();
   view_->SetMonitorOffset(launcher_width, panel_style.panel_height);

=== modified file 'hud/HudView.cpp'
--- hud/HudView.cpp	2013-03-18 19:24:23 +0000
+++ hud/HudView.cpp	2013-03-19 17:52:08 +0000
@@ -116,7 +116,7 @@
 
   mouse_down.connect(sigc::mem_fun(this, &View::OnMouseButtonDown));
 
-  Relayout();
+  QueueDraw();
 }
 
 View::~View()
@@ -193,11 +193,6 @@
   search_bar_->search_hint = _("Type your command");
 }
 
-void View::Relayout()
-{
-  QueueDraw();
-}
-
 nux::View* View::default_focus() const
 {
   return search_bar_->text_entry();
@@ -318,7 +313,7 @@
   }
 
   UpdateLayoutGeometry();
-  Relayout();
+  QueueDraw();
 }
 
 // Gives us the width and height of the contents that will give us the best "fit",

=== modified file 'hud/HudView.h'
--- hud/HudView.h	2013-03-18 19:24:23 +0000
+++ hud/HudView.h	2013-03-19 17:52:08 +0000
@@ -49,7 +49,6 @@
 
   void ResetToDefault();
 
-  void Relayout();
   nux::View* default_focus() const;
   std::list<HudButton::Ptr> const& buttons() const;
 

